<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Pathway Analysis &mdash; eQuilibrator 3.0 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script async="async" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Frequently Asked Questions" href="faq.html" />
    <link rel="prev" title="References" href="classic_reactions/refs.html" />
 
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-38083392-3', 'auto');
  ga('send', 'pageview');

</script>

</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> eQuilibrator
            <img src="_static/equilibrator_logo_80px.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                3.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About Us</a></li>
<li class="toctree-l1"><a class="reference internal" href="classic_reactions/index.html">eQuilibrator Classic Reactions</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Pathway Analysis</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#overview-of-pathway-analysis">Overview of Pathway Analysis</a></li>
<li class="toctree-l2"><a class="reference internal" href="#using-equilibrator-to-profile-your-pathway">Using eQuilibrator to profile your pathway</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#generating-an-sbtab-model-of-your-pathway">1. Generating an SBtab model of your pathway</a></li>
<li class="toctree-l3"><a class="reference internal" href="#verifying-and-editing-the-model">2. Verifying and editing the model</a></li>
<li class="toctree-l3"><a class="reference internal" href="#performing-pathway-analysis">3. Performing pathway analysis</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#max-min-driving-force">Max-min Driving Force</a></li>
<li class="toctree-l2"><a class="reference internal" href="#enzyme-cost-minimization">Enzyme Cost Minimization</a></li>
<li class="toctree-l2"><a class="reference internal" href="#references">References</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="faq.html">Frequently Asked Questions</a></li>
<li class="toctree-l1"><a class="reference internal" href="cite.html">Relevant publications</a></li>
<li class="toctree-l1"><a class="reference internal" href="updates.html">What’s new …</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">eQuilibrator</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
      <li>Pathway Analysis</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/pathway.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="pathway-analysis">
<span id="pathway"></span><h1>Pathway Analysis<a class="headerlink" href="#pathway-analysis" title="Permalink to this headline">¶</a></h1>
<section id="overview-of-pathway-analysis">
<h2>Overview of Pathway Analysis<a class="headerlink" href="#overview-of-pathway-analysis" title="Permalink to this headline">¶</a></h2>
<p>Selection of enzymes on the level of pathways is a relatively understudied
topic, but has recently come into focus, especially driven by synthetic biology
and metabolic engineering applications. In a series of papers from the 90s, Michael
Mavrovouniotis layed out the foundation for synthetic pathway design <a class="footnote-reference brackets" href="#mm92" id="id1">1</a>, thermodynamic
inference of single reactions based on group contribution <a class="footnote-reference brackets" href="#mm90" id="id2">2</a> <a class="footnote-reference brackets" href="#mm91" id="id3">3</a>, and how to
identify thermodynamic bottlenecks in entire pathways <a class="footnote-reference brackets" href="#mm96" id="id4">4</a>. The dependence
of entire pathway feasibility on the aqueous conditions was explored extensively
by Vojinović and von Stockar <a class="footnote-reference brackets" href="#vs09" id="id5">5</a>, mainly demonstrating it for the glycolysis
pathway. Further advancements in these methods have been presented
by Hatzimanikatis et al. <a class="footnote-reference brackets" href="#hc05" id="id6">6</a> and recently reviewed by Wang et al. <a class="footnote-reference brackets" href="#wn18" id="id7">7</a>.</p>
<p>eQuilibrator can be used to analyze your pathway of interest using one out of
two methods: <a class="reference internal" href="#mdf"><span class="std std-ref">Max-min Driving Force</span></a> (MDF) and <a class="reference internal" href="#ecm"><span class="std std-ref">Enzyme Cost Minimization</span></a> (ECM). If you are not familiar with
any of these methods, we recommend trying MDF first, as it is simpler and does not
require any information beyond thermodynamics (i.e. reaction Gibbs energies)
which is what eQuilibrator is designed for. If you want to try using ECM, note
that you will be asked to provide kinetic parameters for all enzymes in your
pathway (or, at least, some approximate values).</p>
</section>
<section id="using-equilibrator-to-profile-your-pathway">
<h2>Using eQuilibrator to profile your pathway<a class="headerlink" href="#using-equilibrator-to-profile-your-pathway" title="Permalink to this headline">¶</a></h2>
<p>This process has three steps:</p>
<section id="generating-an-sbtab-model-of-your-pathway">
<h3>1. Generating an <a class="reference external" href="https://www.sbtab.net/">SBtab</a> model of your pathway<a class="headerlink" href="#generating-an-sbtab-model-of-your-pathway" title="Permalink to this headline">¶</a></h3>
<p>Definition of all the pathway reactions, equilibrium constants
for all reactions and concentration bounds for all metabolites and
cofactors in a tab-delimited file format that can be edited in Excel
or similar spreadsheet applications. eQuilibrator can generate an
SBtab description of your pathway from a simplified CSV file
(like <a class="reference external" href="/static/pathways/example_pathway_ethanol_fermentation.csv">this one</a>)
which defines only the reactions (in free text, as you would in the
eQuilibrator search box) and their relative fluxes – separated by a comma.
You can then choose some of the global parameters given in the form, namely
the minimum and maximum allowed concentrations, pH, and ionic strength.
By default, eQuilibrator uses cofactor concentrations chosen in <a class="footnote-reference brackets" href="#ne14" id="id8">8</a>, so the
user-defined bounds are only relevant for non-cofactors.
Finally, you can decide which analysis method to use (<a class="reference internal" href="#mdf"><span class="std std-ref">Max-min Driving Force</span></a> or <a class="reference internal" href="#ecm"><span class="std std-ref">Enzyme Cost Minimization</span></a>).
When you press “Build”, eQuilibrator
will parse all these reactions, calculate their Δ<sub>r</sub>G’°
and generate a single SBtab file containing all the relevant information
required for the pathway analysis. This file should be compatible with
<a class="reference external" href="http://www.metabolic-economics.de/enzyme-cost-minimization/">other applications</a>
using SBtab.</p>
</section>
<section id="verifying-and-editing-the-model">
<h3>2. Verifying and editing the model<a class="headerlink" href="#verifying-and-editing-the-model" title="Permalink to this headline">¶</a></h3>
<p>Before calculating the MDF or ECM, it is always
a good idea to check the SBtab file. eQuilibrator does not always
parse free-text reactions perfectly, so it is important to double
check that compounds and reactions output are correct.</p>
<p>It is important to keep the concentrations of cofactors (like ATP,
CoA and NADH) fixed because these concentrations are homeostatically
maintained by host organisms. If you do not fix these concentrations
to reasonable, physiologically-relevant values, their concentrations
will be optimized (within the provided range), just like all other metabolites.
In glycolysis, for example, this would
could the ATP concentration as low as allowed (e.g. 1 μM),
making ATP synthesis and glycolysis as a whole appear much more
favorable than they should. In this case the problem
is obvious: maintaining a very low ATP concentration is good for
producing ATP from ADP, but catastrophic for the cell because
ATP-dependent reactions will operate slowly and with very little
driving force.</p>
<p>You can also edit the reaction Δ<sub>r</sub>G’° values, which are recorded in
the SBtab file as equilibrium constants (K<sub>eq</sub>). This may be
useful if your pathway contains a reaction whose Δ<sub>r</sub>G’° eQuilibrator
cannot calculate (for example <a class="reference internal" href="faq.html#iron-redox"><span class="std std-ref">iron redox reactions</span></a>
are problematic for eQuilibrator). When performing pathway analysis, eQuilibrator
verifies that the Δ<sub>r</sub>G’° are consistent with the first law of
thermodynamics, i.e. that they could arise from compound formation energies
Δ<sub>f</sub>G’° that are internally consistant with the stoichiometry of your
pathway.</p>
<p>Finally, if you chose ECM analysis in step 1, the SBtab file will also contain
a table of kinetic parameters, filled with default values. At this stage, you must
change these values to ones obtained from other sources, for example
<a class="reference external" href="http://www.brenda-enzymes.org/">BRENDA</a>
database is a great resource for kinetic data.</p>
</section>
<section id="performing-pathway-analysis">
<h3>3. Performing pathway analysis<a class="headerlink" href="#performing-pathway-analysis" title="Permalink to this headline">¶</a></h3>
<p>Now that your SBtab file is ready, you can simply “Browse” and select
it from your file system, then press “ANALYZE” and wait paitently for eQuilibrator
to generate a report.</p>
</section>
</section>
<section id="max-min-driving-force">
<span id="mdf"></span><h2>Max-min Driving Force<a class="headerlink" href="#max-min-driving-force" title="Permalink to this headline">¶</a></h2>
<p>The Max-min Driving Force (MDF) framework was developed in Noor et al. 2014 <a class="footnote-reference brackets" href="#ne14" id="id9">8</a>
and is designed to help metabolic engineers select between alternative pathways
for achieving the same or similar metabolic goals. Typically, metabolic engineers must
express several heterologous enzymes in a non-native host in order to establish a
pathway and often choose the pathway in the absence of good data on the kinetics of
pathway enzymes. In this context, traditional metabolic control analysis (MCA) is
difficult to apply for two reasons:</p>
<ol class="arabic simple">
<li><p>Reliable kinetic data is required to calculate control coefficients.</p></li>
<li><p>Engineers usually do not have fine-grained control over enzyme expression and
activity, even in well-studied model organisms.</p></li>
</ol>
<p>Rather than focusing on the relationship between enzyme levels and pathway flux,
the MDF considers a pathway’s stoichiometry and thermodynamics and asks whether
it is likely to support high flux in cellular conditions. The MDF of a pathway
is a metric of how thermodynamically favorable a pathway can be in physiological
conditions, considering allowable metabolite and cofactor concentrations,
as well as pH and ionic strength. The value of the MDF is the smallest
-Δ<sub>r</sub>G’ obtained by any pathway reaction when metabolite
concentrations are chosen to make all pathway reactions as favorable
as possible (-Δ<sub>r</sub>G’ as positive as possible). If the MDF
is sufficiently high, the pathway contains no thermodynamic bottlenecks
that would hamper its operation <em>in vivo</em>.</p>
<p>MDF is solved using a simple Linear Program (LP):</p>
<div class="math notranslate nohighlight">
\begin{eqnarray}
    \text{maximize} &amp; B \\
    \text{subject to} &amp; -\Delta_r \mathbf{G}' &amp; \geq B \\
    &amp; \Delta_r \mathbf{G}' &amp;= \Delta_r \mathbf{G}'^\circ + RT \cdot S^\top \cdot \mathbf{x} \\
    &amp; \ln(C_{min}) &amp;\leq \mathbf{x} \leq \ln(C_{max})
\end{eqnarray}</div><p>where <span class="math notranslate nohighlight">\(\mathbf{x}\)</span> is the vector of all metabolite log-concentrations,
<em>S</em> is the stoichiometric matrix, <em>C</em><sub>min</sub> and <em>C</em><sub>max</sub> are vectors
with the given concentration lower and upper bounds,
<em>R</em> is the gas constant and <em>T</em> is the temperature. The optimal <em>B</em> is
the Max-min Driving Force, given in units of kJ/mol.</p>
<p>This approach has several practical advantages over MCA
for the purposes of metabolic engineering. First, enzyme
kinetic properties are laborious to measure and differ between
organisms and isozymes, but no kinetic data is required to
calculate the MDF. Second, as the MDF accounts for pH, ionic
strength and allowed concentration ranges, it is simple to model
the effect of these parameters on the MDF. Finally, as it can
be difficult to control the exact expression level of enzymes
within cells, the MDF helps identify pathways that are less
sensitive to the levels of their constituent enzymes.</p>
</section>
<section id="enzyme-cost-minimization">
<span id="ecm"></span><h2>Enzyme Cost Minimization<a class="headerlink" href="#enzyme-cost-minimization" title="Permalink to this headline">¶</a></h2>
<p>A newer method, that optimizes the total cost of required enzyme for supporting
a pathway, called <strong>Enzyme Cost Minimization</strong> (ECM) was published by Noor et al.
in 2016 <a class="footnote-reference brackets" href="#ne16" id="id10">9</a>. Rather than using a purely thermodynamic criterion to evaluate
pathway efficiency (which is what MDF does), here we consider a full kinetic model
for each enzyme-catalyzed reaction. For example, a single-substrate single-product
reaction would be characterized by the reversible Michaelis-Menten rate law:</p>
<div class="math notranslate nohighlight" id="equation-rate-law">
<span class="eqno">(1)<a class="headerlink" href="#equation-rate-law" title="Permalink to this equation">¶</a></span>\[v(s, p, E) = E ~ \frac{k_{cat}^+ ~ s/K_s - k_{cat}^- ~ p/K_p}{1 + s/K_s + p/K_p}\]</div>
<p>where <em>s</em>, <em>p</em>, and <em>E</em> are the concentrations of the substrate, product, and enzyme
respectively. Since the steady-state fluxes are given as an input (and so are
all the kinetic parameters <span class="math notranslate nohighlight">\(k_{cat}\)</span> and <span class="math notranslate nohighlight">\(K_M\)</span>), we can solve for <em>E</em> as a function of <em>s</em> and <em>p</em>:</p>
<div class="math notranslate nohighlight" id="equation-enzyme-demand">
<span class="eqno">(2)<a class="headerlink" href="#equation-enzyme-demand" title="Permalink to this equation">¶</a></span>\[E(s, p) = v ~ \frac{1 + s/K_s + p/K_p}{k_{cat}^+ ~ s/K_s - k_{cat}^- ~ p/K_p}\]</div>
<p>The solution to equation <a class="reference internal" href="#equation-enzyme-demand">(2)</a> is what we call
the <strong>enzyme demand</strong> (although it could have a more complex form for reactions
with more substrates and products). When summing up all enzyme demands for the
different reactions in the pathway, we get the <strong>total enzyme cost</strong>:</p>
<div class="math notranslate nohighlight" id="equation-total-enzyme-cost">
<span class="eqno">(3)<a class="headerlink" href="#equation-total-enzyme-cost" title="Permalink to this equation">¶</a></span>\[q(\mathbf{x}) = \sum_i h_{E_i} E_i(\mathbf{x})\]</div>
<p>Note, that this is a weighted sum, with coefficients <span class="math notranslate nohighlight">\(h_{E_i}\)</span> which we
denote <strong>enzyme burden</strong>. By default they are defined as the protein molecular weights.
And as before, <span class="math notranslate nohighlight">\(\mathbf{x}\)</span> is the vector of all metabolite log-concentrations (i.e. a generalization
of (<em>s</em>, <em>p</em>) for all reactions). The logarithmic scale is important, since we
facilitates our proof that the total enzyme cost is a convex function and therefore
can be easily optimized. Essentially, ECM is the process of running a convex
optimization problem defined by <span class="math notranslate nohighlight">\(q(\mathbf{x})\)</span>. Nevertheless, convex
optimization is typically slower than linear programming, therefore ECM takes
a bit longer to calculate compared to MDF.</p>
<p>For more information on ECM, please visit
<a class="reference external" href="https://www.metabolic-economics.de/enzyme-cost-minimization/">this website</a> <a class="footnote-reference brackets" href="#ecmweb" id="id11">10</a></p>
</section>
<section id="references">
<h2>References<a class="headerlink" href="#references" title="Permalink to this headline">¶</a></h2>
<dl class="footnote brackets">
<dt class="label" id="mm92"><span class="brackets"><a class="fn-backref" href="#id1">1</a></span></dt>
<dd><p>Mavrovouniotis, M., Stephanopoulos, G., Stephanopoulos, G., 1992. “Synthesis of biochemical production routes.” <em>Computers &amp; Chemical Engineering</em> 16, 605–619</p>
</dd>
<dt class="label" id="mm90"><span class="brackets"><a class="fn-backref" href="#id2">2</a></span></dt>
<dd><p>Mavrovouniotis, L.M., 1990. “Group contributions for estimating standard Gibbs energies of formation of biochemical compounds in aqueous solution.” <em>Biotechnol. Bioeng.</em> 36, 1070–1082</p>
</dd>
<dt class="label" id="mm91"><span class="brackets"><a class="fn-backref" href="#id3">3</a></span></dt>
<dd><p>Mavrovouniotis, M.L., 1991. “Estimation of standard Gibbs energy changes of biotransformations.” <em>J. Biol. Chem</em> 266, 14440–14445.</p>
</dd>
<dt class="label" id="mm96"><span class="brackets"><a class="fn-backref" href="#id4">4</a></span></dt>
<dd><p>Mavrovouniotis, M.L., 1996. “Duality theory for thermodynamic bottlenecks in bioreaction pathways.” <em>Chemical Engineering Science</em> 51, 1495–1507.</p>
</dd>
<dt class="label" id="vs09"><span class="brackets"><a class="fn-backref" href="#id5">5</a></span></dt>
<dd><ol class="upperalpha simple" start="22">
<li><p>Vojinović &amp; U. von Stockar, “Influence of uncertainties in pH, pMg, activity coefficients, metabolite concentrations, and other factors on the analysis of the thermodynamic feasibility of metabolic pathways” Biotechnology and Bioengineering 103, 780–795 (2009)</p></li>
</ol>
</dd>
<dt class="label" id="hc05"><span class="brackets"><a class="fn-backref" href="#id6">6</a></span></dt>
<dd><p>Hatzimanikatis, V., Li, C., Ionita, J.A., Henry, C.S., Jankowski, M.D., Broadbelt, L.J., 2005. “Exploring the diversity of complex metabolic networks” <em>Bioinformatics</em> 21, 1603–1609</p>
</dd>
<dt class="label" id="wn18"><span class="brackets"><a class="fn-backref" href="#id7">7</a></span></dt>
<dd><ol class="upperalpha simple" start="12">
<li><p>Wang, C. Y. Ng, S. Dash, C. D. Maranas, “Exploring the combinatorial space of complete pathways to chemicals” Biochemical Society Transactions (2018) <a class="reference external" href="http://www.biochemsoctrans.org/content/early/2018/03/28/BST20170272">DOI:10.1042/BST20170272</a></p></li>
</ol>
</dd>
<dt class="label" id="ne14"><span class="brackets">8</span><span class="fn-backref">(<a href="#id8">1</a>,<a href="#id9">2</a>)</span></dt>
<dd><ol class="upperalpha simple" start="5">
<li><p>Noor, A. Bar-Even, A. Flamholz, E. Reznik, W. Liebermeister, R. Milo, “Pathway thermodynamics highlights kinetic obstacles in central metabolism” PLoS Comput Biol (2014) <a class="reference external" href="https://doi.org/10.1371/journal.pcbi.1003483">10:e1003483</a></p></li>
</ol>
</dd>
<dt class="label" id="ne16"><span class="brackets"><a class="fn-backref" href="#id10">9</a></span></dt>
<dd><ol class="upperalpha simple" start="5">
<li><p>Noor, A. Flamholz, A. Bar-Even, D. Davidi, R. Milo, W. Liebermeister, “The Protein Cost of Metabolic Fluxes: Prediction from Enzymatic Rate Laws and Cost Minimization” PLoS Comput Biol (2016) <a class="reference external" href="https://doi.org/10.1371/journal.pcbi.1005167">11:e1005167</a></p></li>
</ol>
</dd>
<dt class="label" id="ecmweb"><span class="brackets"><a class="fn-backref" href="#id11">10</a></span></dt>
<dd><p><a class="reference external" href="https://www.metabolic-economics.de/enzyme-cost-minimization/">https://www.metabolic-economics.de/enzyme-cost-minimization/</a></p>
</dd>
</dl>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="classic_reactions/refs.html" class="btn btn-neutral float-left" title="References" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="faq.html" class="btn btn-neutral float-right" title="Frequently Asked Questions" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2018, Avi Flamholz, Elad Noor, Ron Milo.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>